When generating STATUSTYPE_TABLE strings, use bdevname() instead of kdevname()
so the device-name will match the ones generated in the 2.5 kernels. This
should keep the user-space tools simpler, since they will only have to parse
one form of the device-name strings.  [Kevin Corry]

--- diff/drivers/md/dm-linear.c	2003-01-10 11:49:27.000000000 +0000
+++ source/drivers/md/dm-linear.c	2003-02-13 10:42:28.000000000 +0000
@@ -87,7 +87,7 @@
 
 	case STATUSTYPE_TABLE:
 		snprintf(result, maxlen, "%s " SECTOR_FORMAT,
-			 kdevname(to_kdev_t(lc->dev->bdev->bd_dev)), lc->start);
+			 bdevname(lc->dev->dev), lc->start);
 		break;
 	}
 	return 0;
--- diff/drivers/md/dm-snapshot.c	2003-02-13 10:42:23.000000000 +0000
+++ source/drivers/md/dm-snapshot.c	2003-02-13 10:42:28.000000000 +0000
@@ -958,8 +958,8 @@
 		 * to make private copies if the output is to
 		 * make sense.
 		 */
-		strncpy(cow, kdevname(snap->cow->dev), sizeof(cow));
-		strncpy(org, kdevname(snap->origin->dev), sizeof(org));
+		strncpy(cow, bdevname(snap->cow->dev), sizeof(cow));
+		strncpy(org, bdevname(snap->origin->dev), sizeof(org));
 		snprintf(result, maxlen, "%s %s %c %ld", org, cow,
 			 snap->type, snap->chunk_size);
 		break;
@@ -1045,7 +1045,7 @@
 		break;
 
 	case STATUSTYPE_TABLE:
-		snprintf(result, maxlen, "%s", kdevname(dev->dev));
+		snprintf(result, maxlen, "%s", bdevname(dev->dev));
 		break;
 	}
 
--- diff/drivers/md/dm-stripe.c	2003-01-10 11:49:27.000000000 +0000
+++ source/drivers/md/dm-stripe.c	2003-02-13 10:42:28.000000000 +0000
@@ -221,7 +221,7 @@
 			offset +=
 			    snprintf(result + offset, maxlen - offset,
 				     " %s " SECTOR_FORMAT,
-		       kdevname(to_kdev_t(sc->stripe[i].dev->bdev->bd_dev)),
+				     bdevname(sc->stripe[i].dev->dev),
 				     sc->stripe[i].physical_start);
 		}
 		break;
